name: 'Agenda Associations'
policies:
    -
        ModuleName: content
        FunctionName: create
        Limitation:
            Class:
                - $class_event
                - $class_online_contact_point
                - $class_opening_hours_specification
                - $class_place
                - $class_offer
            Section:
                - $section_agenda
    -
        ModuleName: content
        FunctionName: create
        Limitation:
            Class:
                - $class_image
                - $class_file
            Section:
                - $section_media
    -
        ModuleName: content
        FunctionName: edit
        Limitation:
            Class:
                - $class_private_organization
                - $class_image
                - $class_file
                - $class_online_contact_point
                - $class_opening_hours_specification
                - $class_place
                - $class_offer
            Owner:
                - 1
    -
        ModuleName: content
        FunctionName: edit
        Limitation:
            Class:
                - $class_event
            Owner:
                - 1
            Section:
                - $section_agenda
            StateGroup_moderation:
                - $state_moderation_draft
                - $state_moderation_skipped
                - $state_moderation_waiting
    -
        ModuleName: content
        FunctionName: remove
        Limitation:
            Class:
                - $class_event
            Owner:
                - 1
    -
        ModuleName: state
        FunctionName: assign
        Limitation:
          Class:
              - $class_event
          StateGroup_moderation:
              - $state_moderation_draft
              - $state_moderation_waiting
          NewState:
              - $state_moderation_draft
              - $state_moderation_waiting
    -
        ModuleName: state
        FunctionName: assign
        Limitation:
            Class:
                - $class_event
            StateGroup_moderation:
                - $state_moderation_refused
            NewState:
                - $state_moderation_draft
    -
        ModuleName: content
        FunctionName: read
        Limitation:
            Class:
                - $class_event
            Owner:
                - 1
            Section:
                - $section_agenda
    -
        ModuleName: content
        FunctionName: read
        Limitation:
            Class:
                - $class_image
                - $class_folder
            Section:
                - $section_media

    -
        ModuleName: content
        FunctionName: create
        Limitation:
            Class:
                - $class_comment
            Section:
                - $section_agenda
            ParentClass:
                - $class_event
    -
        ModuleName: content
        FunctionName: edit
        Limitation:
            Class:
                - $class_comment
            Owner:
                - '1'
            Section:
                - $section_agenda
    -
        ModuleName: content
        FunctionName: read
        Limitation:
            Class:
                - $class_comment
            Owner:
                - '1'
            Section:
                - $section_agenda
    -
        ModuleName: state
        FunctionName: assign
        Limitation:
            Class:
                - $class_comment